# CONTAINS com.ibm.etools.commonarchive

#####################################################################
#
# Sed command for replacing references to MOF2 APIs
# invoke using
#    sed -f commonArchive.sed <src-file> > <target-file>
#
#####################################################################

# Rules for converting APIs from the CommonarchivePackage package
s|metaWARFile()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,CommonarchivePackage.WAR_FILE,CommonarchivePackage.packageURI)|g
s|metaServletComponent()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,CommonarchivePackage.SERVLET_COMPONENT,CommonarchivePackage.packageURI)|g
s|metaRARFile()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,CommonarchivePackage.RAR_FILE,CommonarchivePackage.packageURI)|g
s|metaModuleRef()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,CommonarchivePackage.MODULE_REF,CommonarchivePackage.packageURI)|g
s|metaModuleComponent()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,CommonarchivePackage.MODULE_COMPONENT,CommonarchivePackage.packageURI)|g
s|metaFile()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,CommonarchivePackage.FILE,CommonarchivePackage.packageURI)|g
s|metaEJBJarFile()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,CommonarchivePackage.EJB_JAR_FILE,CommonarchivePackage.packageURI)|g
s|metaEJBComponent()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,CommonarchivePackage.EJB_COMPONENT,CommonarchivePackage.packageURI)|g
s|metaEARFile()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,CommonarchivePackage.EAR_FILE,CommonarchivePackage.packageURI)|g
s|metaContainer()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,CommonarchivePackage.CONTAINER,CommonarchivePackage.packageURI)|g
s|metaApplicationClientFile()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,CommonarchivePackage.APPLICATION_CLIENT_FILE,CommonarchivePackage.packageURI)|g
s|CommonarchivePackage\.CLASS_WEBMODULEREF|CommonarchivePackage.WEB_MODULE_REF|g
s|CommonarchivePackage\.CLASS_WARFILE|CommonarchivePackage.WAR_FILE|g
s|CommonarchivePackage\.CLASS_SERVLETCOMPONENT|CommonarchivePackage.SERVLET_COMPONENT|g
s|CommonarchivePackage\.CLASS_READONLYDIRECTORY|CommonarchivePackage.READ_ONLY_DIRECTORY|g
s|CommonarchivePackage\.CLASS_RARFILE|CommonarchivePackage.RAR_FILE|g
s|CommonarchivePackage\.CLASS_MODULEREF|CommonarchivePackage.MODULE_REF|g
s|CommonarchivePackage\.CLASS_MODULEFILE|CommonarchivePackage.MODULE_FILE|g
s|CommonarchivePackage\.CLASS_MODULECOMPONENT|CommonarchivePackage.MODULE_COMPONENT|g
s|CommonarchivePackage\.CLASS_FILE|CommonarchivePackage.FILE|g
s|CommonarchivePackage\.CLASS_FARFILE|CommonarchivePackage.FAR_FILE|g
s|CommonarchivePackage\.CLASS_EJBMODULEREF|CommonarchivePackage.EJB_MODULE_REF|g
s|CommonarchivePackage\.CLASS_EJBJARFILE|CommonarchivePackage.EJB_JAR_FILE|g
s|CommonarchivePackage\.CLASS_EJBCOMPONENT|CommonarchivePackage.EJB_COMPONENT|g
s|CommonarchivePackage\.CLASS_EJBCLIENTJARFILE|CommonarchivePackage.EJB_CLIENT_JAR_FILE|g
s|CommonarchivePackage\.CLASS_EARFILE|CommonarchivePackage.EAR_FILE|g
s|CommonarchivePackage\.CLASS_CONTAINER|CommonarchivePackage.CONTAINER|g
s|CommonarchivePackage\.CLASS_CONNECTORMODULEREF|CommonarchivePackage.CONNECTOR_MODULE_REF|g
s|CommonarchivePackage\.CLASS_CLIENTMODULEREF|CommonarchivePackage.CLIENT_MODULE_REF|g
s|CommonarchivePackage\.CLASS_ARCHIVE|CommonarchivePackage.ARCHIVE|g
s|CommonarchivePackage\.CLASS_APPLICATIONCLIENTFILE|CommonarchivePackage.APPLICATION_CLIENT_FILE|g
s|CommonarchiveFactory\.CLASS_WEBMODULEREF|CommonarchivePackage.WEB_MODULE_REF|g
s|CommonarchiveFactory\.CLASS_WARFILE|CommonarchivePackage.WAR_FILE|g
s|CommonarchiveFactory\.CLASS_SERVLETCOMPONENT|CommonarchivePackage.SERVLET_COMPONENT|g
s|CommonarchiveFactory\.CLASS_READONLYDIRECTORY|CommonarchivePackage.READ_ONLY_DIRECTORY|g
s|CommonarchiveFactory\.CLASS_RARFILE|CommonarchivePackage.RAR_FILE|g
s|CommonarchiveFactory\.CLASS_MODULEREF|CommonarchivePackage.MODULE_REF|g
s|CommonarchiveFactory\.CLASS_MODULEFILE|CommonarchivePackage.MODULE_FILE|g
s|CommonarchiveFactory\.CLASS_MODULECOMPONENT|CommonarchivePackage.MODULE_COMPONENT|g
s|CommonarchiveFactory\.CLASS_FILE|CommonarchivePackage.FILE|g
s|CommonarchiveFactory\.CLASS_FARFILE|CommonarchivePackage.FAR_FILE|g
s|CommonarchiveFactory\.CLASS_EJBMODULEREF|CommonarchivePackage.EJB_MODULE_REF|g
s|CommonarchiveFactory\.CLASS_EJBJARFILE|CommonarchivePackage.EJB_JAR_FILE|g
s|CommonarchiveFactory\.CLASS_EJBCOMPONENT|CommonarchivePackage.EJB_COMPONENT|g
s|CommonarchiveFactory\.CLASS_EJBCLIENTJARFILE|CommonarchivePackage.EJB_CLIENT_JAR_FILE|g
s|CommonarchiveFactory\.CLASS_EARFILE|CommonarchivePackage.EAR_FILE|g
s|CommonarchiveFactory\.CLASS_CONTAINER|CommonarchivePackage.CONTAINER|g
s|CommonarchiveFactory\.CLASS_CONNECTORMODULEREF|CommonarchivePackage.CONNECTOR_MODULE_REF|g
s|CommonarchiveFactory\.CLASS_CLIENTMODULEREF|CommonarchivePackage.CLIENT_MODULE_REF|g
s|CommonarchiveFactory\.CLASS_ARCHIVE|CommonarchivePackage.ARCHIVE|g
s|CommonarchiveFactory\.CLASS_APPLICATIONCLIENTFILE|CommonarchivePackage.APPLICATION_CLIENT_FILE|g
s|\.meta\.MetaWebModuleRef\.|.MetaWebModuleRef.|g
s|\.meta\.MetaWARFile\.|.MetaWARFile.|g
s|\.meta\.MetaServletComponent\.|.MetaServletComponent.|g
s|\.meta\.MetaReadOnlyDirectory\.|.MetaReadOnlyDirectory.|g
s|\.meta\.MetaRARFile\.|.MetaRARFile.|g
s|\.meta\.MetaModuleRef\.|.MetaModuleRef.|g
s|\.meta\.MetaModuleFile\.|.MetaModuleFile.|g
s|\.meta\.MetaModuleComponent\.|.MetaModuleComponent.|g
s|\.meta\.MetaFile\.|.MetaFile.|g
s|\.meta\.MetaFARFile\.|.MetaFARFile.|g
s|\.meta\.MetaEJBModuleRef\.|.MetaEJBModuleRef.|g
s|\.meta\.MetaEJBJarFile\.|.MetaEJBJarFile.|g
s|\.meta\.MetaEJBComponent\.|.MetaEJBComponent.|g
s|\.meta\.MetaEJBClientJarFile\.|.MetaEJBClientJarFile.|g
s|\.meta\.MetaEARFile\.|.MetaEARFile.|g
s|\.meta\.MetaContainer\.|.MetaContainer.|g
s|\.meta\.MetaConnectorModuleRef\.|.MetaConnectorModuleRef.|g
s|\.meta\.MetaClientModuleRef\.|.MetaClientModuleRef.|g
s|\.meta\.MetaArchive\.|.MetaArchive.|g
s|\.meta\.MetaApplicationClientFile\.|.MetaApplicationClientFile.|g
s|metaWebModuleRef()\.metaModuleFile()|ePackageCommonarchive().getModuleRef_ModuleFile()|g
s|metaWebModuleRef()\.metaModule()|ePackageCommonarchive().getModuleRef_Module()|g
s|metaWebModuleRef()\.metaEarFile()|ePackageCommonarchive().getModuleRef_EarFile()|g
s|metaWebModuleRef()\.metaComponents()|ePackageCommonarchive().getModuleRef_Components()|g
s|metaWARFile()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaWARFile()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaWARFile()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaWARFile()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaWARFile()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaWARFile()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaWARFile()\.metaFiles()|ePackageCommonarchive().getContainer_Files()|g
s|metaWARFile()\.metaExtensions()|ePackageCommonarchive().getWARFile_Extensions()|g
s|metaWARFile()\.metaDeploymentDescriptor()|ePackageCommonarchive().getWARFile_DeploymentDescriptor()|g
s|metaWARFile()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaWARFile()\.metaBindings()|ePackageCommonarchive().getWARFile_Bindings()|g
s|metaServletComponent()\.metaModuleRef()|ePackageCommonarchive().getModuleComponent_ModuleRef()|g
s|metaServletComponent()\.metaExtensions()|ePackageCommonarchive().getServletComponent_Extensions()|g
s|metaServletComponent()\.metaDeploymentDescriptor()|ePackageCommonarchive().getServletComponent_DeploymentDescriptor()|g
s|metaReadOnlyDirectory()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaReadOnlyDirectory()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaReadOnlyDirectory()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaReadOnlyDirectory()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaReadOnlyDirectory()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaReadOnlyDirectory()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaReadOnlyDirectory()\.metaFiles()|ePackageCommonarchive().getContainer_Files()|g
s|metaReadOnlyDirectory()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaRARFile()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaRARFile()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaRARFile()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaRARFile()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaRARFile()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaRARFile()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaRARFile()\.metaFiles()|ePackageCommonarchive().getContainer_Files()|g
s|metaRARFile()\.metaDeploymentDescriptor()|ePackageCommonarchive().getRARFile_DeploymentDescriptor()|g
s|metaRARFile()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaRARFile()\.metaBindings()|ePackageCommonarchive().getRARFile_Bindings()|g
s|metaModuleRef()\.metaModuleFile()|ePackageCommonarchive().getModuleRef_ModuleFile()|g
s|metaModuleRef()\.metaModule()|ePackageCommonarchive().getModuleRef_Module()|g
s|metaModuleRef()\.metaEarFile()|ePackageCommonarchive().getModuleRef_EarFile()|g
s|metaModuleRef()\.metaComponents()|ePackageCommonarchive().getModuleRef_Components()|g
s|metaModuleFile()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaModuleFile()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaModuleFile()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaModuleFile()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaModuleFile()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaModuleFile()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaModuleFile()\.metaFiles()|ePackageCommonarchive().getContainer_Files()|g
s|metaModuleFile()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaModuleComponent()\.metaModuleRef()|ePackageCommonarchive().getModuleComponent_ModuleRef()|g
s|metaFile()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaFile()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaFile()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaFile()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaFile()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaFile()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaFile()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaFARFile()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaFARFile()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaFARFile()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaFARFile()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaFARFile()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaFARFile()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaFARFile()\.metaFiles()|ePackageCommonarchive().getContainer_Files()|g
s|metaFARFile()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaEJBModuleRef()\.metaModuleFile()|ePackageCommonarchive().getModuleRef_ModuleFile()|g
s|metaEJBModuleRef()\.metaModule()|ePackageCommonarchive().getModuleRef_Module()|g
s|metaEJBModuleRef()\.metaEarFile()|ePackageCommonarchive().getModuleRef_EarFile()|g
s|metaEJBModuleRef()\.metaComponents()|ePackageCommonarchive().getModuleRef_Components()|g
s|metaEJBJarFile()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaEJBJarFile()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaEJBJarFile()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaEJBJarFile()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaEJBJarFile()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaEJBJarFile()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaEJBJarFile()\.metaFiles()|ePackageCommonarchive().getContainer_Files()|g
s|metaEJBJarFile()\.metaExtensions()|ePackageCommonarchive().getEJBJarFile_Extensions()|g
s|metaEJBJarFile()\.metaDeploymentDescriptor()|ePackageCommonarchive().getEJBJarFile_DeploymentDescriptor()|g
s|metaEJBJarFile()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaEJBJarFile()\.metaBindings()|ePackageCommonarchive().getEJBJarFile_Bindings()|g
s|metaEJBComponent()\.metaModuleRef()|ePackageCommonarchive().getModuleComponent_ModuleRef()|g
s|metaEJBComponent()\.metaExtensions()|ePackageCommonarchive().getEJBComponent_Extensions()|g
s|metaEJBComponent()\.metaDeploymentDescriptor()|ePackageCommonarchive().getEJBComponent_DeploymentDescriptor()|g
s|metaEJBComponent()\.metaBindings()|ePackageCommonarchive().getEJBComponent_Bindings()|g
s|metaEJBClientJarFile()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaEJBClientJarFile()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaEJBClientJarFile()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaEJBClientJarFile()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaEJBClientJarFile()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaEJBClientJarFile()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaEJBClientJarFile()\.metaFiles()|ePackageCommonarchive().getContainer_Files()|g
s|metaEJBClientJarFile()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaEARFile()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaEARFile()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaEARFile()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaEARFile()\.metaModuleRefs()|ePackageCommonarchive().getEARFile_ModuleRefs()|g
s|metaEARFile()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaEARFile()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaEARFile()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaEARFile()\.metaFiles()|ePackageCommonarchive().getContainer_Files()|g
s|metaEARFile()\.metaExtensions()|ePackageCommonarchive().getEARFile_Extensions()|g
s|metaEARFile()\.metaDeploymentDescriptor()|ePackageCommonarchive().getEARFile_DeploymentDescriptor()|g
s|metaEARFile()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaEARFile()\.metaBindings()|ePackageCommonarchive().getEARFile_Bindings()|g
s|metaContainer()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaContainer()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaContainer()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaContainer()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaContainer()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaContainer()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaContainer()\.metaFiles()|ePackageCommonarchive().getContainer_Files()|g
s|metaContainer()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaConnectorModuleRef()\.metaModuleFile()|ePackageCommonarchive().getModuleRef_ModuleFile()|g
s|metaConnectorModuleRef()\.metaModule()|ePackageCommonarchive().getModuleRef_Module()|g
s|metaConnectorModuleRef()\.metaEarFile()|ePackageCommonarchive().getModuleRef_EarFile()|g
s|metaConnectorModuleRef()\.metaComponents()|ePackageCommonarchive().getModuleRef_Components()|g
s|metaClientModuleRef()\.metaModuleFile()|ePackageCommonarchive().getModuleRef_ModuleFile()|g
s|metaClientModuleRef()\.metaModule()|ePackageCommonarchive().getModuleRef_Module()|g
s|metaClientModuleRef()\.metaEarFile()|ePackageCommonarchive().getModuleRef_EarFile()|g
s|metaClientModuleRef()\.metaComponents()|ePackageCommonarchive().getModuleRef_Components()|g
s|metaArchive()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaArchive()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaArchive()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaArchive()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaArchive()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaArchive()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaArchive()\.metaFiles()|ePackageCommonarchive().getContainer_Files()|g
s|metaArchive()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaApplicationClientFile()\.metaURI()|ePackageCommonarchive().getFile_URI()|g
s|metaApplicationClientFile()\.metaSize()|ePackageCommonarchive().getFile_Size()|g
s|metaApplicationClientFile()\.metaOriginalURI()|ePackageCommonarchive().getFile_OriginalURI()|g
s|metaApplicationClientFile()\.metaLoadingContainer()|ePackageCommonarchive().getFile_LoadingContainer()|g
s|metaApplicationClientFile()\.metaLastModified()|ePackageCommonarchive().getFile_LastModified()|g
s|metaApplicationClientFile()\.metaIsDirectoryEntry()|ePackageCommonarchive().getFile_IsDirectoryEntry()|g
s|metaApplicationClientFile()\.metaFiles()|ePackageCommonarchive().getContainer_Files()|g
s|metaApplicationClientFile()\.metaExtensions()|ePackageCommonarchive().getApplicationClientFile_Extensions()|g
s|metaApplicationClientFile()\.metaDeploymentDescriptor()|ePackageCommonarchive().getApplicationClientFile_DeploymentDescriptor()|g
s|metaApplicationClientFile()\.metaContainer()|ePackageCommonarchive().getFile_Container()|g
s|metaApplicationClientFile()\.metaBindings()|ePackageCommonarchive().getApplicationClientFile_Bindings()|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaWebModuleRef|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaWARFile|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaServletComponent|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaReadOnlyDirectory|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaRARFile|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaModuleRef|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaModuleFile|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.commonarchive\.meta\.MetaModuleComponent|com.ibm.etools.emf.ecore.EClass|g

