# CONTAINS com.ibm.etools.ejb

#####################################################################
#
# Sed command for replacing references to MOF2 APIs
# invoke using
#    sed -f j2ee.sed <src-file> > <target-file>
#
#####################################################################

# Rules for converting APIs from the EjbPackage package
/MetaExcludeList metaExcludeList/!s|MetaExcludeList\([^a-zA-Z0-9]\)|EClass\1|g
/MetaEntity metaEntity/!s|MetaEntity\([^a-zA-Z0-9]\)|EClass\1|g
/MetaEnterpriseBean metaEnterpriseBean/!s|MetaEnterpriseBean\([^a-zA-Z0-9]\)|EClass\1|g
/MetaEJBRelationshipRole metaEJBRelationshipRole/!s|MetaEJBRelationshipRole\([^a-zA-Z0-9]\)|EClass\1|g
/MetaEJBRelation metaEJBRelation/!s|MetaEJBRelation\([^a-zA-Z0-9]\)|EClass\1|g
/MetaEJBMethodCategory metaEJBMethodCategory/!s|MetaEJBMethodCategory\([^a-zA-Z0-9]\)|EClass\1|g
/MetaEJBJar metaEJBJar/!s|MetaEJBJar\([^a-zA-Z0-9]\)|EClass\1|g
/MetaDestinationType metaDestinationType/!s|MetaDestinationType\([^a-zA-Z0-9]\)|EEnum\1|g
/MetaContainerManagedEntity metaContainerManagedEntity/!s|MetaContainerManagedEntity\([^a-zA-Z0-9]\)|EClass\1|g
/MetaCMRField metaCMRField/!s|MetaCMRField\([^a-zA-Z0-9]\)|EClass\1|g
/MetaCMPAttribute metaCMPAttribute/!s|MetaCMPAttribute\([^a-zA-Z0-9]\)|EClass\1|g
/MetaAssemblyDescriptor metaAssemblyDescriptor/!s|MetaAssemblyDescriptor\([^a-zA-Z0-9]\)|EClass\1|g
/MetaAcknowledgeMode metaAcknowledgeMode/!s|MetaAcknowledgeMode\([^a-zA-Z0-9]\)|EEnum\1|g
s|\.metaVersion()|.getEFeature(EjbPackage.CONTAINER_MANAGED_ENTITY__VERSION,EjbPackage.CONTAINER_MANAGED_ENTITY,EjbPackage.packageURI)|g
s|\.metaUnchecked()|.getEFeature(EjbPackage.METHOD_PERMISSION__UNCHECKED,EjbPackage.METHOD_PERMISSION,EjbPackage.packageURI)|g
s|\.metaType()|.getEFeature(EjbPackage.METHOD_ELEMENT__TYPE,EjbPackage.METHOD_ELEMENT,EjbPackage.packageURI)|g
s|\.metaTransactionType()|.getEFeature(EjbPackage.SESSION__TRANSACTION_TYPE,EjbPackage.SESSION,EjbPackage.packageURI)|g
s|\.metaTransactionAttribute()|.getEFeature(EjbPackage.METHOD_TRANSACTION__TRANSACTION_ATTRIBUTE,EjbPackage.METHOD_TRANSACTION,EjbPackage.packageURI)|g
s|\.metaSubscriptionDurability()|.getEFeature(EjbPackage.MESSAGE_DRIVEN_DESTINATION__SUBSCRIPTION_DURABILITY,EjbPackage.MESSAGE_DRIVEN_DESTINATION,EjbPackage.packageURI)|g
s|\.metaSource()|.getEFeature(EjbPackage.EJB_RELATIONSHIP_ROLE__SOURCE,EjbPackage.EJB_RELATIONSHIP_ROLE,EjbPackage.packageURI)|g
s|\.metaSmallIcon()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__SMALL_ICON,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaSessionType()|.getEFeature(EjbPackage.SESSION__SESSION_TYPE,EjbPackage.SESSION,EjbPackage.packageURI)|g
s|\.metaSecurityRoles()|.getEFeature(EjbPackage.ASSEMBLY_DESCRIPTOR__SECURITY_ROLES,EjbPackage.ASSEMBLY_DESCRIPTOR,EjbPackage.packageURI)|g
s|\.metaSecurityRoleRefs()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__SECURITY_ROLE_REFS,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaSecurityIdentity()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__SECURITY_IDENTITY,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaRoles()|.getEFeature(EjbPackage.METHOD_PERMISSION__ROLES,EjbPackage.METHOD_PERMISSION,EjbPackage.packageURI)|g
s|\.metaRoleName()|.getEFeature(EjbPackage.EJB_RELATIONSHIP_ROLE__ROLE_NAME,EjbPackage.EJB_RELATIONSHIP_ROLE,EjbPackage.packageURI)|g
s|\.metaRole()|.getEFeature(EjbPackage.ROLE_SOURCE__ROLE,EjbPackage.ROLE_SOURCE,EjbPackage.packageURI)|g
s|\.metaReturnTypeMapping()|.getEFeature(EjbPackage.QUERY__RETURN_TYPE_MAPPING,EjbPackage.QUERY,EjbPackage.packageURI)|g
s|\.metaResourceRefs()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__RESOURCE_REFS,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaResourceEnvRefs()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__RESOURCE_ENV_REFS,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaRemoteInterface()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__REMOTE_INTERFACE,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaRelationshipRoles()|.getEFeature(EjbPackage.EJB_RELATION__RELATIONSHIP_ROLES,EjbPackage.EJB_RELATION,EjbPackage.packageURI)|g
s|\.metaRelationshipList()|.getEFeature(EjbPackage.EJB_RELATION__RELATIONSHIP_LIST,EjbPackage.EJB_RELATION,EjbPackage.packageURI)|g
s|\.metaRelationship()|.getEFeature(EjbPackage.EJB_RELATIONSHIP_ROLE__RELATIONSHIP,EjbPackage.EJB_RELATIONSHIP_ROLE,EjbPackage.packageURI)|g
s|\.metaQueryMethod()|.getEFeature(EjbPackage.QUERY__QUERY_METHOD,EjbPackage.QUERY,EjbPackage.packageURI)|g
s|\.metaQuery()|.getEFeature(EjbPackage.QUERY_METHOD__QUERY,EjbPackage.QUERY_METHOD,EjbPackage.packageURI)|g
s|\.metaQueries()|.getEFeature(EjbPackage.CONTAINER_MANAGED_ENTITY__QUERIES,EjbPackage.CONTAINER_MANAGED_ENTITY,EjbPackage.packageURI)|g
s|\.metaPrimaryKey()|.getEFeature(EjbPackage.ENTITY__PRIMARY_KEY,EjbPackage.ENTITY,EjbPackage.packageURI)|g
s|\.metaPersistentAttributes()|.getEFeature(EjbPackage.CONTAINER_MANAGED_ENTITY__PERSISTENT_ATTRIBUTES,EjbPackage.CONTAINER_MANAGED_ENTITY,EjbPackage.packageURI)|g
s|\.metaParms()|.getEFeature(EjbPackage.METHOD_ELEMENT__PARMS,EjbPackage.METHOD_ELEMENT,EjbPackage.packageURI)|g
s|\.metaParams()|.getEFeature(EjbPackage.METHOD_ELEMENT__PARAMS,EjbPackage.METHOD_ELEMENT,EjbPackage.packageURI)|g
s|\.metaName()|.getEFeature(EjbPackage.METHOD_ELEMENT__NAME,EjbPackage.METHOD_ELEMENT,EjbPackage.packageURI)|g
s|\.metaMultiplicity()|.getEFeature(EjbPackage.EJB_RELATIONSHIP_ROLE__MULTIPLICITY,EjbPackage.EJB_RELATIONSHIP_ROLE,EjbPackage.packageURI)|g
s|\.metaMethodTransactions()|.getEFeature(EjbPackage.ASSEMBLY_DESCRIPTOR__METHOD_TRANSACTIONS,EjbPackage.ASSEMBLY_DESCRIPTOR,EjbPackage.packageURI)|g
s|\.metaMethodTransaction()|.getEFeature(EjbPackage.METHOD_ELEMENT__METHOD_TRANSACTION,EjbPackage.METHOD_ELEMENT,EjbPackage.packageURI)|g
s|\.metaMethodPermissions()|.getEFeature(EjbPackage.ASSEMBLY_DESCRIPTOR__METHOD_PERMISSIONS,EjbPackage.ASSEMBLY_DESCRIPTOR,EjbPackage.packageURI)|g
s|\.metaMethodPermission()|.getEFeature(EjbPackage.METHOD_ELEMENT__METHOD_PERMISSION,EjbPackage.METHOD_ELEMENT,EjbPackage.packageURI)|g
s|\.metaMethodElements()|.getEFeature(EjbPackage.METHOD_TRANSACTION__METHOD_ELEMENTS,EjbPackage.METHOD_TRANSACTION,EjbPackage.packageURI)|g
s|\.metaMessageSelector()|.getEFeature(EjbPackage.MESSAGE_DRIVEN__MESSAGE_SELECTOR,EjbPackage.MESSAGE_DRIVEN,EjbPackage.packageURI)|g
s|\.metaLocalInterface()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__LOCAL_INTERFACE,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaLocalHomeInterface()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__LOCAL_HOME_INTERFACE,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaLargeIcon()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__LARGE_ICON,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaKeyAttributes()|.getEFeature(EjbPackage.CONTAINER_MANAGED_ENTITY__KEY_ATTRIBUTES,EjbPackage.CONTAINER_MANAGED_ENTITY,EjbPackage.packageURI)|g
s|\.metaIsZeroParams()|.getEFeature(EjbPackage.METHOD_ELEMENT__IS_ZERO_PARAMS,EjbPackage.METHOD_ELEMENT,EjbPackage.packageURI)|g
s|\.metaIsReentrant()|.getEFeature(EjbPackage.ENTITY__IS_REENTRANT,EjbPackage.ENTITY,EjbPackage.packageURI)|g
s|\.metaHomeInterface()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__HOME_INTERFACE,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaExcludeList()|.getEFeature(EjbPackage.ASSEMBLY_DESCRIPTOR__EXCLUDE_LIST,EjbPackage.ASSEMBLY_DESCRIPTOR,EjbPackage.packageURI)|g
s|\.metaEnvironmentProperties()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__ENVIRONMENT_PROPERTIES,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaEntityBean()|.getEFeature(EjbPackage.ROLE_SOURCE__ENTITY_BEAN,EjbPackage.ROLE_SOURCE,EjbPackage.packageURI)|g
s|\.metaEntity()|.getEFeature(EjbPackage.QUERY__ENTITY,EjbPackage.QUERY,EjbPackage.packageURI)|g
s|\.metaEnterpriseBeans()|.getEFeature(EjbPackage.EJB_JAR__ENTERPRISE_BEANS,EjbPackage.EJB_JAR,EjbPackage.packageURI)|g
s|\.metaEnterpriseBean()|.getEFeature(EjbPackage.METHOD_ELEMENT__ENTERPRISE_BEAN,EjbPackage.METHOD_ELEMENT,EjbPackage.packageURI)|g
s|\.metaEjbRelations()|.getEFeature(EjbPackage.RELATIONSHIPS__EJB_RELATIONS,EjbPackage.RELATIONSHIPS,EjbPackage.packageURI)|g
s|\.metaEjbRefs()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__EJB_REFS,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaEjbQL()|.getEFeature(EjbPackage.QUERY__EJB_QL,EjbPackage.QUERY,EjbPackage.packageURI)|g
s|\.metaEjbLocalRefs()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__EJB_LOCAL_REFS,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaEjbJar()|.getEFeature(EjbPackage.RELATIONSHIPS__EJB_JAR,EjbPackage.RELATIONSHIPS,EjbPackage.packageURI)|g
s|\.metaEjbClientJar()|.getEFeature(EjbPackage.EJB_JAR__EJB_CLIENT_JAR,EjbPackage.EJB_JAR,EjbPackage.packageURI)|g
s|\.metaEjbClass()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__EJB_CLASS,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaDisplayName()|.getEFeature(EjbPackage.ENTERPRISE_BEAN__DISPLAY_NAME,EjbPackage.ENTERPRISE_BEAN,EjbPackage.packageURI)|g
s|\.metaDestination()|.getEFeature(EjbPackage.MESSAGE_DRIVEN__DESTINATION,EjbPackage.MESSAGE_DRIVEN,EjbPackage.packageURI)|g
s|\.metaDescription()|.getEFeature(EjbPackage.ROLE_SOURCE__DESCRIPTION,EjbPackage.ROLE_SOURCE,EjbPackage.packageURI)|g
s|\.metaCollectionType()|.getEFeature(EjbPackage.CMR_FIELD__COLLECTION_TYPE,EjbPackage.CMR_FIELD,EjbPackage.packageURI)|g
s|\.metaCmrField()|.getEFeature(EjbPackage.EJB_RELATIONSHIP_ROLE__CMR_FIELD,EjbPackage.EJB_RELATIONSHIP_ROLE,EjbPackage.packageURI)|g
s|\.metaCascadeDelete()|.getEFeature(EjbPackage.EJB_RELATIONSHIP_ROLE__CASCADE_DELETE,EjbPackage.EJB_RELATIONSHIP_ROLE,EjbPackage.packageURI)|g
s|\.metaBean()|.getEFeature(EjbPackage.MESSAGE_DRIVEN_DESTINATION__BEAN,EjbPackage.MESSAGE_DRIVEN_DESTINATION,EjbPackage.packageURI)|g
s|\.metaAssemblyDescriptor()|.getEFeature(EjbPackage.METHOD_TRANSACTION__ASSEMBLY_DESCRIPTOR,EjbPackage.METHOD_TRANSACTION,EjbPackage.packageURI)|g
s|\.metaAcknowledgeMode()|.getEFeature(EjbPackage.MESSAGE_DRIVEN__ACKNOWLEDGE_MODE,EjbPackage.MESSAGE_DRIVEN,EjbPackage.packageURI)|g
s|\.metaAbstractSchemaName()|.getEFeature(EjbPackage.CONTAINER_MANAGED_ENTITY__ABSTRACT_SCHEMA_NAME,EjbPackage.CONTAINER_MANAGED_ENTITY,EjbPackage.packageURI)|g
/MetaSession metaSession/!s|metaSession()|eClassSession()|g
/MetaRoleSource metaRoleSource/!s|metaRoleSource()|eClassRoleSource()|g
/MetaRelationships metaRelationships/!s|metaRelationships()|eClassRelationships()|g
/MetaQueryMethod metaQueryMethod/!s|metaQueryMethod()|eClassQueryMethod()|g
/MetaQuery metaQuery/!s|metaQuery()|eClassQuery()|g
/MetaMethodTransaction metaMethodTransaction/!s|metaMethodTransaction()|eClassMethodTransaction()|g
/MetaMethodPermission metaMethodPermission/!s|metaMethodPermission()|eClassMethodPermission()|g
/MetaMethodElement metaMethodElement/!s|metaMethodElement()|eClassMethodElement()|g
/MetaMessageDrivenDestination metaMessageDrivenDestination/!s|metaMessageDrivenDestination()|eClassMessageDrivenDestination()|g
/MetaMessageDriven metaMessageDriven/!s|metaMessageDriven()|eClassMessageDriven()|g
/MetaExcludeList metaExcludeList/!s|metaExcludeList()|eClassExcludeList()|g
/MetaEntity metaEntity/!s|metaEntity()|eClassEntity()|g
/MetaEnterpriseBean metaEnterpriseBean/!s|metaEnterpriseBean()|eClassEnterpriseBean()|g
/MetaEJBRelationshipRole metaEJBRelationshipRole/!s|metaEJBRelationshipRole()|eClassEJBRelationshipRole()|g
/MetaEJBRelation metaEJBRelation/!s|metaEJBRelation()|eClassEJBRelation()|g
/MetaEJBMethodCategory metaEJBMethodCategory/!s|metaEJBMethodCategory()|eClassEJBMethodCategory()|g
/MetaEJBJar metaEJBJar/!s|metaEJBJar()|eClassEJBJar()|g
/MetaContainerManagedEntity metaContainerManagedEntity/!s|metaContainerManagedEntity()|eClassContainerManagedEntity()|g
/MetaCMRField metaCMRField/!s|metaCMRField()|eClassCMRField()|g
/MetaCMPAttribute metaCMPAttribute/!s|metaCMPAttribute()|eClassCMPAttribute()|g
/MetaAssemblyDescriptor metaAssemblyDescriptor/!s|metaAssemblyDescriptor()|eClassAssemblyDescriptor()|g

