# CONTAINS com.ibm.etools.java

#####################################################################
#
# Sed command for replacing references to MOF2 APIs
# invoke using
#    sed -f JavaRef.sed <src-file> > <target-file>
#
#####################################################################

# Rules for converting APIs from the JavaRefPackage package
s|metaMethod()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JavaRefPackage.METHOD,JavaRefPackage.packageURI)|g
s|metaJavaParameter()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JavaRefPackage.JAVA_PARAMETER,JavaRefPackage.packageURI)|g
s|metaJavaPackage()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JavaRefPackage.JAVA_PACKAGE,JavaRefPackage.packageURI)|g
s|metaJavaClass()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JavaRefPackage.JAVA_CLASS,JavaRefPackage.packageURI)|g
s|metaInitializer()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JavaRefPackage.INITIALIZER,JavaRefPackage.packageURI)|g
s|metaField()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JavaRefPackage.FIELD,JavaRefPackage.packageURI)|g
s|metaBlock()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JavaRefPackage.BLOCK,JavaRefPackage.packageURI)|g
s|metaArrayType()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JavaRefPackage.ARRAY_TYPE,JavaRefPackage.packageURI)|g
s|JavaRefPackage\.ENUM_TYPEKIND|JavaRefPackage.TYPE_KIND|g
s|JavaRefPackage\.ENUM_JAVAVISIBILITYKIND|JavaRefPackage.JAVA_VISIBILITY_KIND|g
s|JavaRefPackage\.ENUM_JAVAPARAMETERKIND|JavaRefPackage.JAVA_PARAMETER_KIND|g
s|JavaRefPackage\.CLASS_STATEMENT|JavaRefPackage.STATEMENT|g
s|JavaRefPackage\.CLASS_METHOD|JavaRefPackage.METHOD|g
s|JavaRefPackage\.CLASS_JAVAPARAMETER|JavaRefPackage.JAVA_PARAMETER|g
s|JavaRefPackage\.CLASS_JAVAPACKAGE|JavaRefPackage.JAVA_PACKAGE|g
s|JavaRefPackage\.CLASS_JAVAEVENT|JavaRefPackage.JAVA_EVENT|g
s|JavaRefPackage\.CLASS_JAVADATATYPE|JavaRefPackage.JAVA_DATA_TYPE|g
s|JavaRefPackage\.CLASS_JAVACLASS|JavaRefPackage.JAVA_CLASS|g
s|JavaRefPackage\.CLASS_INITIALIZER|JavaRefPackage.INITIALIZER|g
s|JavaRefPackage\.CLASS_FIELD|JavaRefPackage.FIELD|g
s|JavaRefPackage\.CLASS_COMMENT|JavaRefPackage.COMMENT|g
s|JavaRefPackage\.CLASS_BLOCK|JavaRefPackage.BLOCK|g
s|JavaRefPackage\.CLASS_ARRAYTYPE|JavaRefPackage.ARRAY_TYPE|g
s|JavaRefFactory\.ENUM_TYPEKIND|JavaRefPackage.TYPE_KIND|g
s|JavaRefFactory\.ENUM_JAVAVISIBILITYKIND|JavaRefPackage.JAVA_VISIBILITY_KIND|g
s|JavaRefFactory\.ENUM_JAVAPARAMETERKIND|JavaRefPackage.JAVA_PARAMETER_KIND|g
s|JavaRefFactory\.CLASS_STATEMENT|JavaRefPackage.STATEMENT|g
s|JavaRefFactory\.CLASS_METHOD|JavaRefPackage.METHOD|g
s|JavaRefFactory\.CLASS_JTYPELIST|JavaRefPackage.J_TYPE_LIST|g
s|JavaRefFactory\.CLASS_JTYPEJAVAHELPERS|JavaRefPackage.J_TYPE_JAVA_HELPERS|g
s|JavaRefFactory\.CLASS_JAVAPARAMETER|JavaRefPackage.JAVA_PARAMETER|g
s|JavaRefFactory\.CLASS_JAVAPACKAGE|JavaRefPackage.JAVA_PACKAGE|g
s|JavaRefFactory\.CLASS_JAVAEVENT|JavaRefPackage.JAVA_EVENT|g
s|JavaRefFactory\.CLASS_JAVADATATYPE|JavaRefPackage.JAVA_DATA_TYPE|g
s|JavaRefFactory\.CLASS_JAVACLASS|JavaRefPackage.JAVA_CLASS|g
s|JavaRefFactory\.CLASS_INITIALIZER|JavaRefPackage.INITIALIZER|g
s|JavaRefFactory\.CLASS_FIELD|JavaRefPackage.FIELD|g
s|JavaRefFactory\.CLASS_COMMENT|JavaRefPackage.COMMENT|g
s|JavaRefFactory\.CLASS_BLOCK|JavaRefPackage.BLOCK|g
s|JavaRefFactory\.CLASS_ARRAYTYPE|JavaRefPackage.ARRAY_TYPE|g
s|\.meta\.MetaTypeKind\.UNDEFINED|.TypeKind.UNDEFINED|g
s|\.meta\.MetaTypeKind\.INTERFACE|.TypeKind.INTERFACE|g
s|\.meta\.MetaTypeKind\.EXCEPTION|.TypeKind.EXCEPTION|g
s|\.meta\.MetaTypeKind\.CLASS|.TypeKind.CLASS|g
s|\.meta\.MetaStatement\.|.MetaStatement.|g
s|\.meta\.MetaMethod\.|.MetaMethod.|g
s|\.meta\.MetaJavaVisibilityKind\.PUBLIC|.JavaVisibilityKind.PUBLIC|g
s|\.meta\.MetaJavaVisibilityKind\.PROTECTED|.JavaVisibilityKind.PROTECTED|g
s|\.meta\.MetaJavaVisibilityKind\.PRIVATE|.JavaVisibilityKind.PRIVATE|g
s|\.meta\.MetaJavaVisibilityKind\.PACKAGE|.JavaVisibilityKind.PACKAGE|g
s|\.meta\.MetaJavaParameterKind\.RETURN|.JavaParameterKind.RETURN|g
s|\.meta\.MetaJavaParameterKind\.OUT|.JavaParameterKind.OUT|g
s|\.meta\.MetaJavaParameterKind\.INOUT|.JavaParameterKind.INOUT|g
s|\.meta\.MetaJavaParameterKind\.IN|.JavaParameterKind.IN|g
s|\.meta\.MetaJavaParameter\.|.MetaJavaParameter.|g
s|\.meta\.MetaJavaPackage\.|.MetaJavaPackage.|g
s|\.meta\.MetaJavaEvent\.|.MetaJavaEvent.|g
s|\.meta\.MetaJavaDataType\.|.MetaJavaDataType.|g
s|\.meta\.MetaJavaClass\.|.MetaJavaClass.|g
s|\.meta\.MetaInitializer\.|.MetaInitializer.|g
s|\.meta\.MetaField\.|.MetaField.|g
s|\.meta\.MetaComment\.|.MetaComment.|g
s|\.meta\.MetaBlock\.|.MetaBlock.|g
s|\.meta\.MetaArrayType\.|.MetaArrayType.|g
s|metaTypeKind()\.metaUNDEFINED()|ePackageJavaRef().getTypeKind_UNDEFINED()|g
s|metaTypeKind()\.metaINTERFACE()|ePackageJavaRef().getTypeKind_INTERFACE()|g
s|metaTypeKind()\.metaEXCEPTION()|ePackageJavaRef().getTypeKind_EXCEPTION()|g
s|metaTypeKind()\.metaCLASS()|ePackageJavaRef().getTypeKind_CLASS()|g
s|metaStatement()\.metaSource()|ePackageJavaRef().getBlock_Source()|g
s|metaStatement()\.metaName()|ePackageJavaRef().getBlock_Name()|g
s|metaStatement()\.metaContents()|ePackageJavaRef().getBlock_Contents()|g
s|metaMethod()\.metaSource()|ePackageJavaRef().getMethod_Source()|g
s|metaMethod()\.metaParameters()|ePackageJavaRef().getMethod_Parameters()|g
s|metaMethod()\.metaName()|ePackageEcore().getENamedElement_Name()|g
s|metaMethod()\.metaJavaVisibility()|ePackageJavaRef().getMethod_JavaVisibility()|g
s|metaMethod()\.metaJavaExceptions()|ePackageJavaRef().getMethod_JavaExceptions()|g
s|metaMethod()\.metaJavaClass()|ePackageJavaRef().getMethod_JavaClass()|g
s|metaMethod()\.metaIsSynchronized()|ePackageJavaRef().getMethod_IsSynchronized()|g
s|metaMethod()\.metaIsStatic()|ePackageJavaRef().getMethod_IsStatic()|g
s|metaMethod()\.metaIsNative()|ePackageJavaRef().getMethod_IsNative()|g
s|metaMethod()\.metaIsFinal()|ePackageJavaRef().getMethod_IsFinal()|g
s|metaMethod()\.metaIsDeprecated()|ePackageEcore().getEModelElement_IsDeprecated()|g
s|metaMethod()\.metaIsConstructor()|ePackageJavaRef().getMethod_IsConstructor()|g
s|metaMethod()\.metaIsAbstract()|ePackageJavaRef().getMethod_IsAbstract()|g
s|metaMethod()\.metaEOutputParameters()|ePackageEcore().getEFunction_EOutputParameters()|g
s|metaMethod()\.metaEObjectContains()|ePackageEcore().getEObject_EObjectContains()|g
s|metaMethod()\.metaEObjectContainer()|ePackageEcore().getEObject_EObjectContainer()|g
s|metaMethod()\.metaENamespaceContainer()|ePackageEcore().getENamedElement_ENamespaceContainer()|g
s|metaMethod()\.metaENamedElements()|ePackageEcore().getENamespace_ENamedElements()|g
s|metaMethod()\.metaEMetaObj()|ePackageEcore().getEObject_EMetaObj()|g
s|metaMethod()\.metaEInputParameters()|ePackageEcore().getEProcedure_EInputParameters()|g
s|metaMethod()\.metaEID()|ePackageEcore().getEObject_EID()|g
s|metaMethod()\.metaEExceptions()|ePackageEcore().getEOperation_EExceptions()|g
s|metaMethod()\.metaEDecorators()|ePackageEcore().getEModelElement_EDecorators()|g
s|metaMethod()\.metaEContains()|ePackageEcore().getENamespace_EContains()|g
s|metaMethod()\.metaEContainer()|ePackageEcore().getEModelElement_EContainer()|g
s|metaMethod()\.metaConstraints()|ePackageEcore().getEModelElement_Constraints()|g
s|metaJavaVisibilityKind()\.metaPUBLIC()|ePackageJavaRef().getJavaVisibilityKind_PUBLIC()|g
s|metaJavaVisibilityKind()\.metaPROTECTED()|ePackageJavaRef().getJavaVisibilityKind_PROTECTED()|g
s|metaJavaVisibilityKind()\.metaPRIVATE()|ePackageJavaRef().getJavaVisibilityKind_PRIVATE()|g
s|metaJavaVisibilityKind()\.metaPACKAGE()|ePackageJavaRef().getJavaVisibilityKind_PACKAGE()|g
s|metaJavaParameterKind()\.metaRETURN()|ePackageJavaRef().getJavaParameterKind_RETURN()|g
s|metaJavaParameterKind()\.metaOUT()|ePackageJavaRef().getJavaParameterKind_OUT()|g
s|metaJavaParameterKind()\.metaINOUT()|ePackageJavaRef().getJavaParameterKind_INOUT()|g
s|metaJavaParameterKind()\.metaIN()|ePackageJavaRef().getJavaParameterKind_IN()|g
s|metaJavaParameter()\.metaParameterKind()|ePackageJavaRef().getJavaParameter_ParameterKind()|g
s|metaJavaParameter()\.metaName()|ePackageEcore().getENamedElement_Name()|g
s|metaJavaParameter()\.metaIsFinal()|ePackageJavaRef().getJavaParameter_IsFinal()|g
s|metaJavaParameter()\.metaIsDeprecated()|ePackageEcore().getEModelElement_IsDeprecated()|g
s|metaJavaParameter()\.metaETypeClassifier()|ePackageEcore().getETypedElement_ETypeClassifier()|g
s|metaJavaParameter()\.metaEObjectContains()|ePackageEcore().getEObject_EObjectContains()|g
s|metaJavaParameter()\.metaEObjectContainer()|ePackageEcore().getEObject_EObjectContainer()|g
s|metaJavaParameter()\.metaENamespaceContainer()|ePackageEcore().getENamedElement_ENamespaceContainer()|g
s|metaJavaParameter()\.metaEMetaObj()|ePackageEcore().getEObject_EMetaObj()|g
s|metaJavaParameter()\.metaEID()|ePackageEcore().getEObject_EID()|g
s|metaJavaParameter()\.metaEDecorators()|ePackageEcore().getEModelElement_EDecorators()|g
s|metaJavaParameter()\.metaEContainer()|ePackageEcore().getEModelElement_EContainer()|g
s|metaJavaParameter()\.metaConstraints()|ePackageEcore().getEModelElement_Constraints()|g
s|metaJavaPackage()\.metaSubPackages()|ePackageEcore().getEPackage_SubPackages()|g
s|metaJavaPackage()\.metaNsURI()|ePackageEcore().getEPackage_NsURI()|g
s|metaJavaPackage()\.metaNsName()|ePackageEcore().getEPackage_NsName()|g
s|metaJavaPackage()\.metaName()|ePackageEcore().getENamedElement_Name()|g
s|metaJavaPackage()\.metaJavaClasses()|ePackageJavaRef().getJavaPackage_JavaClasses()|g
s|metaJavaPackage()\.metaIsDeprecated()|ePackageEcore().getEModelElement_IsDeprecated()|g
s|metaJavaPackage()\.metaESubPackages()|ePackageEcore().getEPackage_ESubPackages()|g
s|metaJavaPackage()\.metaEObjectContains()|ePackageEcore().getEObject_EObjectContains()|g
s|metaJavaPackage()\.metaEObjectContainer()|ePackageEcore().getEObject_EObjectContainer()|g
s|metaJavaPackage()\.metaENamespaceContainer()|ePackageEcore().getENamedElement_ENamespaceContainer()|g
s|metaJavaPackage()\.metaENamedElements()|ePackageEcore().getENamespace_ENamedElements()|g
s|metaJavaPackage()\.metaEMetaObjects()|ePackageEcore().getEPackage_EMetaObjects()|g
s|metaJavaPackage()\.metaEMetaObj()|ePackageEcore().getEObject_EMetaObj()|g
s|metaJavaPackage()\.metaEID()|ePackageEcore().getEObject_EID()|g
s|metaJavaPackage()\.metaEFactoryInstance()|ePackageEcore().getEPackage_EFactoryInstance()|g
s|metaJavaPackage()\.metaEFactory()|ePackageEcore().getEPackage_EFactory()|g
s|metaJavaPackage()\.metaEDelegates()|ePackageEcore().getEPackage_EDelegates()|g
s|metaJavaPackage()\.metaEDecorators()|ePackageEcore().getEModelElement_EDecorators()|g
s|metaJavaPackage()\.metaEContains()|ePackageEcore().getENamespace_EContains()|g
s|metaJavaPackage()\.metaEContainer()|ePackageEcore().getEModelElement_EContainer()|g
s|metaJavaPackage()\.metaConstraints()|ePackageEcore().getEModelElement_Constraints()|g
s|metaJavaEvent()\.metaName()|ePackageEcore().getENamedElement_Name()|g
s|metaJavaEvent()\.metaIsDeprecated()|ePackageEcore().getEModelElement_IsDeprecated()|g
s|metaJavaEvent()\.metaEObjectContains()|ePackageEcore().getEObject_EObjectContains()|g
s|metaJavaEvent()\.metaEObjectContainer()|ePackageEcore().getEObject_EObjectContainer()|g
s|metaJavaEvent()\.metaENamespaceContainer()|ePackageEcore().getENamedElement_ENamespaceContainer()|g
s|metaJavaEvent()\.metaENamedElements()|ePackageEcore().getENamespace_ENamedElements()|g
s|metaJavaEvent()\.metaEMetaObj()|ePackageEcore().getEObject_EMetaObj()|g
s|metaJavaEvent()\.metaEID()|ePackageEcore().getEObject_EID()|g
s|metaJavaEvent()\.metaEDecorators()|ePackageEcore().getEModelElement_EDecorators()|g
s|metaJavaEvent()\.metaEContains()|ePackageEcore().getENamespace_EContains()|g
s|metaJavaEvent()\.metaEContainer()|ePackageEcore().getEModelElement_EContainer()|g
s|metaJavaEvent()\.metaConstraints()|ePackageEcore().getEModelElement_Constraints()|g
s|metaJavaDataType()\.metaName()|ePackageEcore().getENamedElement_Name()|g
s|metaJavaDataType()\.metaIsDeprecated()|ePackageEcore().getEModelElement_IsDeprecated()|g
s|metaJavaDataType()\.metaInstanceClass()|ePackageEcore().getEMetaObject_InstanceClass()|g
s|metaJavaDataType()\.metaEPackage()|ePackageEcore().getEMetaObject_EPackage()|g
s|metaJavaDataType()\.metaEObjectContains()|ePackageEcore().getEObject_EObjectContains()|g
s|metaJavaDataType()\.metaEObjectContainer()|ePackageEcore().getEObject_EObjectContainer()|g
s|metaJavaDataType()\.metaENamespaceContainer()|ePackageEcore().getENamedElement_ENamespaceContainer()|g
s|metaJavaDataType()\.metaENamedElements()|ePackageEcore().getENamespace_ENamedElements()|g
s|metaJavaDataType()\.metaEMetaObj()|ePackageEcore().getEObject_EMetaObj()|g
s|metaJavaDataType()\.metaEID()|ePackageEcore().getEObject_EID()|g
s|metaJavaDataType()\.metaEDecorators()|ePackageEcore().getEModelElement_EDecorators()|g
s|metaJavaDataType()\.metaEContains()|ePackageEcore().getENamespace_EContains()|g
s|metaJavaDataType()\.metaEContainer()|ePackageEcore().getEModelElement_EContainer()|g
s|metaJavaDataType()\.metaConstraints()|ePackageEcore().getEModelElement_Constraints()|g
s|metaJavaClass()\.metaSuper()|ePackageEcore().getEGeneralizableElement_Super()|g
s|metaJavaClass()\.metaPackageImports()|ePackageJavaRef().getJavaClass_PackageImports()|g
s|metaJavaClass()\.metaName()|ePackageEcore().getENamedElement_Name()|g
s|metaJavaClass()\.metaMethods()|ePackageJavaRef().getJavaClass_Methods()|g
s|metaJavaClass()\.metaKind()|ePackageJavaRef().getJavaClass_Kind()|g
s|metaJavaClass()\.metaJavaPackage()|ePackageJavaRef().getJavaClass_JavaPackage()|g
s|metaJavaClass()\.metaIsPublic()|ePackageJavaRef().getJavaClass_IsPublic()|g
s|metaJavaClass()\.metaIsFinal()|ePackageJavaRef().getJavaClass_IsFinal()|g
s|metaJavaClass()\.metaIsDeprecated()|ePackageEcore().getEModelElement_IsDeprecated()|g
s|metaJavaClass()\.metaIsAbstract()|ePackageEcore().getEInstantiable_IsAbstract()|g
s|metaJavaClass()\.metaInstanceClass()|ePackageEcore().getEMetaObject_InstanceClass()|g
s|metaJavaClass()\.metaInitializers()|ePackageJavaRef().getJavaClass_Initializers()|g
s|metaJavaClass()\.metaImplementsInterfaces()|ePackageJavaRef().getJavaClass_ImplementsInterfaces()|g
s|metaJavaClass()\.metaFields()|ePackageJavaRef().getJavaClass_Fields()|g
s|metaJavaClass()\.metaEvents()|ePackageJavaRef().getJavaClass_Events()|g
s|metaJavaClass()\.metaESuper()|ePackageEcore().getEGeneralizableElement_ESuper()|g
s|metaJavaClass()\.metaEReferences()|ePackageEcore().getEStructure_EReferences()|g
s|metaJavaClass()\.metaEPackage()|ePackageEcore().getEMetaObject_EPackage()|g
s|metaJavaClass()\.metaEObjectContains()|ePackageEcore().getEObject_EObjectContains()|g
s|metaJavaClass()\.metaEObjectContainer()|ePackageEcore().getEObject_EObjectContainer()|g
s|metaJavaClass()\.metaENamespaceContainer()|ePackageEcore().getENamedElement_ENamespaceContainer()|g
s|metaJavaClass()\.metaENamedElements()|ePackageEcore().getENamespace_ENamedElements()|g
s|metaJavaClass()\.metaEMetaObj()|ePackageEcore().getEObject_EMetaObj()|g
s|metaJavaClass()\.metaEID()|ePackageEcore().getEObject_EID()|g
s|metaJavaClass()\.metaEDecorators()|ePackageEcore().getEModelElement_EDecorators()|g
s|metaJavaClass()\.metaEContains()|ePackageEcore().getENamespace_EContains()|g
s|metaJavaClass()\.metaEContainer()|ePackageEcore().getEModelElement_EContainer()|g
s|metaJavaClass()\.metaEBehaviors()|ePackageEcore().getEType_EBehaviors()|g
s|metaJavaClass()\.metaEAttributes()|ePackageEcore().getEDataStructure_EAttributes()|g
s|metaJavaClass()\.metaEAllReferences()|ePackageEcore().getEClass_EAllReferences()|g
s|metaJavaClass()\.metaEAllContainments()|ePackageEcore().getEClass_EAllContainments()|g
s|metaJavaClass()\.metaEAllBehaviors()|ePackageEcore().getEInterface_EAllBehaviors()|g
s|metaJavaClass()\.metaEAllAttributes()|ePackageEcore().getEClass_EAllAttributes()|g
s|metaJavaClass()\.metaDeclaringClass()|ePackageJavaRef().getJavaClass_DeclaringClass()|g
s|metaJavaClass()\.metaDeclaredClasses()|ePackageJavaRef().getJavaClass_DeclaredClasses()|g
s|metaJavaClass()\.metaConstraints()|ePackageEcore().getEModelElement_Constraints()|g
s|metaJavaClass()\.metaClassImport()|ePackageJavaRef().getJavaClass_ClassImport()|g
s|metaJavaClass()\.metaAllEvents()|ePackageJavaRef().getJavaClass_AllEvents()|g
s|metaInitializer()\.metaSource()|ePackageJavaRef().getInitializer_Source()|g
s|metaInitializer()\.metaJavaClass()|ePackageJavaRef().getInitializer_JavaClass()|g
s|metaInitializer()\.metaIsStatic()|ePackageJavaRef().getInitializer_IsStatic()|g
s|metaField()\.metaName()|ePackageEcore().getENamedElement_Name()|g
s|metaField()\.metaJavaVisibility()|ePackageJavaRef().getField_JavaVisibility()|g
s|metaField()\.metaJavaClass()|ePackageJavaRef().getField_JavaClass()|g
s|metaField()\.metaIsVolatile()|ePackageEcore().getEStructuralFeature_IsVolatile()|g
s|metaField()\.metaIsUnique()|ePackageEcore().getEStructuralFeature_IsUnique()|g
s|metaField()\.metaIsTransient()|ePackageEcore().getEStructuralFeature_IsTransient()|g
s|metaField()\.metaIsStatic()|ePackageJavaRef().getField_IsStatic()|g
s|metaField()\.metaIsFinal()|ePackageJavaRef().getField_IsFinal()|g
s|metaField()\.metaIsDeprecated()|ePackageEcore().getEModelElement_IsDeprecated()|g
s|metaField()\.metaIsChangeable()|ePackageEcore().getEStructuralFeature_IsChangeable()|g
s|metaField()\.metaInitializer()|ePackageJavaRef().getField_Initializer()|g
s|metaField()\.metaETypeClassifier()|ePackageEcore().getETypedElement_ETypeClassifier()|g
s|metaField()\.metaEObjectContains()|ePackageEcore().getEObject_EObjectContains()|g
s|metaField()\.metaEObjectContainer()|ePackageEcore().getEObject_EObjectContainer()|g
s|metaField()\.metaENamespaceContainer()|ePackageEcore().getENamedElement_ENamespaceContainer()|g
s|metaField()\.metaENamedElements()|ePackageEcore().getENamespace_ENamedElements()|g
s|metaField()\.metaEMultiplicity()|ePackageEcore().getEStructuralFeature_EMultiplicity()|g
s|metaField()\.metaEMetaObj()|ePackageEcore().getEObject_EMetaObj()|g
s|metaField()\.metaEID()|ePackageEcore().getEObject_EID()|g
s|metaField()\.metaEDefaultValue()|ePackageEcore().getEStructuralFeature_EDefaultValue()|g
s|metaField()\.metaEDecorators()|ePackageEcore().getEModelElement_EDecorators()|g
s|metaField()\.metaEContains()|ePackageEcore().getENamespace_EContains()|g
s|metaField()\.metaEContainer()|ePackageEcore().getEModelElement_EContainer()|g
s|metaField()\.metaConstraints()|ePackageEcore().getEModelElement_Constraints()|g
s|metaComment()\.metaSource()|ePackageJavaRef().getBlock_Source()|g
s|metaComment()\.metaName()|ePackageJavaRef().getBlock_Name()|g
s|metaComment()\.metaContents()|ePackageJavaRef().getBlock_Contents()|g
s|metaBlock()\.metaSource()|ePackageJavaRef().getBlock_Source()|g
s|metaBlock()\.metaName()|ePackageJavaRef().getBlock_Name()|g

