# CONTAINS com.ibm.etools.jca

#####################################################################
#
# Sed command for replacing references to MOF2 APIs
# invoke using
#    sed -f j2ee.sed <src-file> > <target-file>
#
#####################################################################

# Rules for converting APIs from the JcaPackage package
s|metaSecurityPermission()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JcaPackage.SECURITY_PERMISSION,JcaPackage.packageURI)|g
s|metaResourceAdapter()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JcaPackage.RESOURCE_ADAPTER,JcaPackage.packageURI)|g
s|metaLicense()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JcaPackage.LICENSE,JcaPackage.packageURI)|g
s|metaConnector()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JcaPackage.CONNECTOR,JcaPackage.packageURI)|g
s|metaConfigProperty()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JcaPackage.CONFIG_PROPERTY,JcaPackage.packageURI)|g
s|metaAuthenticationMechanism()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,JcaPackage.AUTHENTICATION_MECHANISM,JcaPackage.packageURI)|g
s|JcaPackage\.ENUM_TRANSACTIONSUPPORTKIND|JcaPackage.TRANSACTION_SUPPORT_KIND|g
s|JcaPackage\.ENUM_AUTHENTICATIONMECHANISMTYPE|JcaPackage.AUTHENTICATION_MECHANISM_TYPE|g
s|JcaPackage\.CLASS_SECURITYPERMISSION|JcaPackage.SECURITY_PERMISSION|g
s|JcaPackage\.CLASS_RESOURCEADAPTER|JcaPackage.RESOURCE_ADAPTER|g
s|JcaPackage\.CLASS_LICENSE|JcaPackage.LICENSE|g
s|JcaPackage\.CLASS_CONNECTOR|JcaPackage.CONNECTOR|g
s|JcaPackage\.CLASS_CONFIGPROPERTY|JcaPackage.CONFIG_PROPERTY|g
s|JcaPackage\.CLASS_AUTHENTICATIONMECHANISM|JcaPackage.AUTHENTICATION_MECHANISM|g
s|JcaFactory\.ENUM_TRANSACTIONSUPPORTKIND|JcaPackage.TRANSACTION_SUPPORT_KIND|g
s|JcaFactory\.ENUM_AUTHENTICATIONMECHANISMTYPE|JcaPackage.AUTHENTICATION_MECHANISM_TYPE|g
s|JcaFactory\.CLASS_SECURITYPERMISSION|JcaPackage.SECURITY_PERMISSION|g
s|JcaFactory\.CLASS_RESOURCEADAPTER|JcaPackage.RESOURCE_ADAPTER|g
s|JcaFactory\.CLASS_LICENSE|JcaPackage.LICENSE|g
s|JcaFactory\.CLASS_CONNECTOR|JcaPackage.CONNECTOR|g
s|JcaFactory\.CLASS_CONFIGPROPERTY|JcaPackage.CONFIG_PROPERTY|g
s|JcaFactory\.CLASS_AUTHENTICATIONMECHANISM|JcaPackage.AUTHENTICATION_MECHANISM|g
s|\.meta\.MetaTransactionSupportKind\.XATRANSACTION|.TransactionSupportKind.XA_TRANSACTION|g
s|\.meta\.MetaTransactionSupportKind\.NOTRANSACTION|.TransactionSupportKind.NO_TRANSACTION|g
s|\.meta\.MetaTransactionSupportKind\.LOCALTRANSACTION|.TransactionSupportKind.LOCAL_TRANSACTION|g
s|\.meta\.MetaSecurityPermission\.|.MetaSecurityPermission.|g
s|\.meta\.MetaResourceAdapter\.|.MetaResourceAdapter.|g
s|\.meta\.MetaLicense\.|.MetaLicense.|g
s|\.meta\.MetaConnector\.|.MetaConnector.|g
s|\.meta\.MetaConfigProperty\.|.MetaConfigProperty.|g
s|\.meta\.MetaAuthenticationMechanismType\.KERBV5|.AuthenticationMechanismType.KERBV5|g
s|\.meta\.MetaAuthenticationMechanismType\.BASICPASSWORD|.AuthenticationMechanismType.BASIC_PASSWORD|g
s|\.meta\.MetaAuthenticationMechanism\.|.MetaAuthenticationMechanism.|g
s|metaTransactionSupportKind()\.metaXATransaction()|ePackageJca().getTransactionSupportKind_XATransaction()|g
s|metaTransactionSupportKind()\.metaNoTransaction()|ePackageJca().getTransactionSupportKind_NoTransaction()|g
s|metaTransactionSupportKind()\.metaLocalTransaction()|ePackageJca().getTransactionSupportKind_LocalTransaction()|g
s|metaSecurityPermission()\.metaSpecification()|ePackageJca().getSecurityPermission_Specification()|g
s|metaSecurityPermission()\.metaDescription()|ePackageJca().getSecurityPermission_Description()|g
s|metaResourceAdapter()\.metaTransactionSupport()|ePackageJca().getResourceAdapter_TransactionSupport()|g
s|metaResourceAdapter()\.metaSecurityPermissions()|ePackageJca().getResourceAdapter_SecurityPermissions()|g
s|metaResourceAdapter()\.metaReauthenticationSupport()|ePackageJca().getResourceAdapter_ReauthenticationSupport()|g
s|metaResourceAdapter()\.metaManagedConnectionFactoryClass()|ePackageJca().getResourceAdapter_ManagedConnectionFactoryClass()|g
s|metaResourceAdapter()\.metaConnectionInterface()|ePackageJca().getResourceAdapter_ConnectionInterface()|g
s|metaResourceAdapter()\.metaConnectionImplClass()|ePackageJca().getResourceAdapter_ConnectionImplClass()|g
s|metaResourceAdapter()\.metaConnectionFactoryInterface()|ePackageJca().getResourceAdapter_ConnectionFactoryInterface()|g
s|metaResourceAdapter()\.metaConnectionFactoryImplClass()|ePackageJca().getResourceAdapter_ConnectionFactoryImplClass()|g
s|metaResourceAdapter()\.metaConfigProperties()|ePackageJca().getResourceAdapter_ConfigProperties()|g
s|metaResourceAdapter()\.metaAuthenticationMechanisms()|ePackageJca().getResourceAdapter_AuthenticationMechanisms()|g
s|metaLicense()\.metaRequired()|ePackageJca().getLicense_Required()|g
s|metaLicense()\.metaDescription()|ePackageJca().getLicense_Description()|g
s|metaConnector()\.metaVersion()|ePackageJca().getConnector_Version()|g
s|metaConnector()\.metaVendorName()|ePackageJca().getConnector_VendorName()|g
s|metaConnector()\.metaSpecVersion()|ePackageJca().getConnector_SpecVersion()|g
s|metaConnector()\.metaSmallIcon()|ePackageJca().getConnector_SmallIcon()|g
s|metaConnector()\.metaResourceAdapter()|ePackageJca().getConnector_ResourceAdapter()|g
s|metaConnector()\.metaLicense()|ePackageJca().getConnector_License()|g
s|metaConnector()\.metaLargeIcon()|ePackageJca().getConnector_LargeIcon()|g
s|metaConnector()\.metaEisType()|ePackageJca().getConnector_EisType()|g
s|metaConnector()\.metaDisplayName()|ePackageJca().getConnector_DisplayName()|g
s|metaConnector()\.metaDescription()|ePackageJca().getConnector_Description()|g
s|metaConfigProperty()\.metaValue()|ePackageJca().getConfigProperty_Value()|g
s|metaConfigProperty()\.metaType()|ePackageJca().getConfigProperty_Type()|g
s|metaConfigProperty()\.metaName()|ePackageJca().getConfigProperty_Name()|g
s|metaConfigProperty()\.metaDescription()|ePackageJca().getConfigProperty_Description()|g
s|metaAuthenticationMechanismType()\.metaKerbv5()|ePackageJca().getAuthenticationMechanismType_Kerbv5()|g
s|metaAuthenticationMechanismType()\.metaBasicPassword()|ePackageJca().getAuthenticationMechanismType_BasicPassword()|g
s|metaAuthenticationMechanism()\.metaDescription()|ePackageJca().getAuthenticationMechanism_Description()|g
s|metaAuthenticationMechanism()\.metaCredentialInterface()|ePackageJca().getAuthenticationMechanism_CredentialInterface()|g
s|metaAuthenticationMechanism()\.metaAuthenticationMechanismType()|ePackageJca().getAuthenticationMechanism_AuthenticationMechanismType()|g
s|com\.ibm\.etools\.jca\.meta\.MetaTransactionSupportKind |com.ibm.etools.emf.ecore.EEnum |g
s|com\.ibm\.etools\.jca\.meta\.MetaAuthenticationMechanismType |com.ibm.etools.emf.ecore.EEnum |g
/MetaTransactionSupportKind metaTransactionSupportKind/!s|metaTransactionSupportKind()|getTransactionSupportKind()|g
/MetaAuthenticationMechanismType metaAuthenticationMechanismType/!s|metaAuthenticationMechanismType()|getAuthenticationMechanismType()|g
s|com\.ibm\.etools\.jca\.meta\.MetaTransactionSupportKind|com.ibm.etools.jca.TransactionSupportKind|g
s|com\.ibm\.etools\.jca\.meta\.MetaSecurityPermission|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.jca\.meta\.MetaResourceAdapter|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.jca\.meta\.MetaLicense|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.jca\.meta\.MetaConnector|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.jca\.meta\.MetaConfigProperty|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.jca\.meta\.MetaAuthenticationMechanismType|com.ibm.etools.jca.AuthenticationMechanismType|g
s|com\.ibm\.etools\.jca\.meta\.MetaAuthenticationMechanism|com.ibm.etools.emf.ecore.EClass|g
s|MetaTransactionSupportKind\.XATRANSACTION|TransactionSupportKind.XA_TRANSACTION|g
s|MetaTransactionSupportKind\.NOTRANSACTION|TransactionSupportKind.NO_TRANSACTION|g
s|MetaTransactionSupportKind\.LOCALTRANSACTION|TransactionSupportKind.LOCAL_TRANSACTION|g
s|MetaSecurityPermission\.SF_SPECIFICATION|JcaPackage.SECURITY_PERMISSION__SPECIFICATION|g
s|MetaSecurityPermission\.SF_DESCRIPTION|JcaPackage.SECURITY_PERMISSION__DESCRIPTION|g
s|MetaResourceAdapter\.SF_TRANSACTIONSUPPORT|JcaPackage.RESOURCE_ADAPTER__TRANSACTION_SUPPORT|g
s|MetaResourceAdapter\.SF_SECURITYPERMISSIONS|JcaPackage.RESOURCE_ADAPTER__SECURITY_PERMISSIONS|g
s|MetaResourceAdapter\.SF_REAUTHENTICATIONSUPPORT|JcaPackage.RESOURCE_ADAPTER__REAUTHENTICATION_SUPPORT|g
s|MetaResourceAdapter\.SF_MANAGEDCONNECTIONFACTORYCLASS|JcaPackage.RESOURCE_ADAPTER__MANAGED_CONNECTION_FACTORY_CLASS|g
s|MetaResourceAdapter\.SF_CONNECTIONINTERFACE|JcaPackage.RESOURCE_ADAPTER__CONNECTION_INTERFACE|g
s|MetaResourceAdapter\.SF_CONNECTIONIMPLCLASS|JcaPackage.RESOURCE_ADAPTER__CONNECTION_IMPL_CLASS|g
s|MetaResourceAdapter\.SF_CONNECTIONFACTORYINTERFACE|JcaPackage.RESOURCE_ADAPTER__CONNECTION_FACTORY_INTERFACE|g
s|MetaResourceAdapter\.SF_CONNECTIONFACTORYIMPLCLASS|JcaPackage.RESOURCE_ADAPTER__CONNECTION_FACTORY_IMPL_CLASS|g
s|MetaResourceAdapter\.SF_CONFIGPROPERTIES|JcaPackage.RESOURCE_ADAPTER__CONFIG_PROPERTIES|g
s|MetaResourceAdapter\.SF_AUTHENTICATIONMECHANISMS|JcaPackage.RESOURCE_ADAPTER__AUTHENTICATION_MECHANISMS|g
s|MetaLicense\.SF_REQUIRED|JcaPackage.LICENSE__REQUIRED|g
s|MetaLicense\.SF_DESCRIPTION|JcaPackage.LICENSE__DESCRIPTION|g
s|MetaConnector\.SF_VERSION|JcaPackage.CONNECTOR__VERSION|g
s|MetaConnector\.SF_VENDORNAME|JcaPackage.CONNECTOR__VENDOR_NAME|g
s|MetaConnector\.SF_SPECVERSION|JcaPackage.CONNECTOR__SPEC_VERSION|g
s|MetaConnector\.SF_SMALLICON|JcaPackage.CONNECTOR__SMALL_ICON|g
s|MetaConnector\.SF_RESOURCEADAPTER|JcaPackage.CONNECTOR__RESOURCE_ADAPTER|g
s|MetaConnector\.SF_LICENSE|JcaPackage.CONNECTOR__LICENSE|g
s|MetaConnector\.SF_LARGEICON|JcaPackage.CONNECTOR__LARGE_ICON|g
s|MetaConnector\.SF_EISTYPE|JcaPackage.CONNECTOR__EIS_TYPE|g
s|MetaConnector\.SF_DISPLAYNAME|JcaPackage.CONNECTOR__DISPLAY_NAME|g
s|MetaConnector\.SF_DESCRIPTION|JcaPackage.CONNECTOR__DESCRIPTION|g
s|MetaConfigProperty\.SF_VALUE|JcaPackage.CONFIG_PROPERTY__VALUE|g
s|MetaConfigProperty\.SF_TYPE|JcaPackage.CONFIG_PROPERTY__TYPE|g
s|MetaConfigProperty\.SF_NAME|JcaPackage.CONFIG_PROPERTY__NAME|g
s|MetaConfigProperty\.SF_DESCRIPTION|JcaPackage.CONFIG_PROPERTY__DESCRIPTION|g
s|MetaAuthenticationMechanismType\.KERBV5|AuthenticationMechanismType.KERBV5|g
s|MetaAuthenticationMechanismType\.BASICPASSWORD|AuthenticationMechanismType.BASIC_PASSWORD|g
s|MetaAuthenticationMechanism\.SF_DESCRIPTION|JcaPackage.AUTHENTICATION_MECHANISM__DESCRIPTION|g
s|MetaAuthenticationMechanism\.SF_CREDENTIALINTERFACE|JcaPackage.AUTHENTICATION_MECHANISM__CREDENTIAL_INTERFACE|g
s|MetaAuthenticationMechanism\.SF_AUTHENTICATIONMECHANISMTYPE|JcaPackage.AUTHENTICATION_MECHANISM__AUTHENTICATION_MECHANISM_TYPE|g
/MetaTransactionSupportKind metaTransactionSupportKind/!s|MetaTransactionSupportKind\([^a-zA-Z0-9]\)|EEnum\1|g
/MetaSecurityPermission metaSecurityPermission/!s|MetaSecurityPermission\([^a-zA-Z0-9]\)|EClass\1|g
/MetaResourceAdapter metaResourceAdapter/!s|MetaResourceAdapter\([^a-zA-Z0-9]\)|EClass\1|g
/MetaLicense metaLicense/!s|MetaLicense\([^a-zA-Z0-9]\)|EClass\1|g
/MetaConnector metaConnector/!s|MetaConnector\([^a-zA-Z0-9]\)|EClass\1|g
/MetaConfigProperty metaConfigProperty/!s|MetaConfigProperty\([^a-zA-Z0-9]\)|EClass\1|g
/MetaAuthenticationMechanism metaAuthenticationMechanism/!s|MetaAuthenticationMechanism\([^a-zA-Z0-9]\)|EClass\1|g
/MetaAuthenticationMechanismType metaAuthenticationMechanismType/!s|MetaAuthenticationMechanismType\([^a-zA-Z0-9]\)|EEnum\1|g
s|\.metaVersion()|.getEFeature(JcaPackage.CONNECTOR__VERSION,JcaPackage.CONNECTOR,JcaPackage.packageURI)|g
s|\.metaVendorName()|.getEFeature(JcaPackage.CONNECTOR__VENDOR_NAME,JcaPackage.CONNECTOR,JcaPackage.packageURI)|g
s|\.metaValue()|.getEFeature(JcaPackage.CONFIG_PROPERTY__VALUE,JcaPackage.CONFIG_PROPERTY,JcaPackage.packageURI)|g
s|\.metaType()|.getEFeature(JcaPackage.CONFIG_PROPERTY__TYPE,JcaPackage.CONFIG_PROPERTY,JcaPackage.packageURI)|g
s|\.metaTransactionSupport()|.getEFeature(JcaPackage.RESOURCE_ADAPTER__TRANSACTION_SUPPORT,JcaPackage.RESOURCE_ADAPTER,JcaPackage.packageURI)|g
s|\.metaSpecification()|.getEFeature(JcaPackage.SECURITY_PERMISSION__SPECIFICATION,JcaPackage.SECURITY_PERMISSION,JcaPackage.packageURI)|g
s|\.metaSpecVersion()|.getEFeature(JcaPackage.CONNECTOR__SPEC_VERSION,JcaPackage.CONNECTOR,JcaPackage.packageURI)|g
s|\.metaSmallIcon()|.getEFeature(JcaPackage.CONNECTOR__SMALL_ICON,JcaPackage.CONNECTOR,JcaPackage.packageURI)|g
s|\.metaSecurityPermissions()|.getEFeature(JcaPackage.RESOURCE_ADAPTER__SECURITY_PERMISSIONS,JcaPackage.RESOURCE_ADAPTER,JcaPackage.packageURI)|g
s|\.metaResourceAdapter()|.getEFeature(JcaPackage.CONNECTOR__RESOURCE_ADAPTER,JcaPackage.CONNECTOR,JcaPackage.packageURI)|g
s|\.metaRequired()|.getEFeature(JcaPackage.LICENSE__REQUIRED,JcaPackage.LICENSE,JcaPackage.packageURI)|g
s|\.metaReauthenticationSupport()|.getEFeature(JcaPackage.RESOURCE_ADAPTER__REAUTHENTICATION_SUPPORT,JcaPackage.RESOURCE_ADAPTER,JcaPackage.packageURI)|g
s|\.metaName()|.getEFeature(JcaPackage.CONFIG_PROPERTY__NAME,JcaPackage.CONFIG_PROPERTY,JcaPackage.packageURI)|g
s|\.metaManagedConnectionFactoryClass()|.getEFeature(JcaPackage.RESOURCE_ADAPTER__MANAGED_CONNECTION_FACTORY_CLASS,JcaPackage.RESOURCE_ADAPTER,JcaPackage.packageURI)|g
s|\.metaLicense()|.getEFeature(JcaPackage.CONNECTOR__LICENSE,JcaPackage.CONNECTOR,JcaPackage.packageURI)|g
s|\.metaLargeIcon()|.getEFeature(JcaPackage.CONNECTOR__LARGE_ICON,JcaPackage.CONNECTOR,JcaPackage.packageURI)|g
s|\.metaEisType()|.getEFeature(JcaPackage.CONNECTOR__EIS_TYPE,JcaPackage.CONNECTOR,JcaPackage.packageURI)|g
s|\.metaDisplayName()|.getEFeature(JcaPackage.CONNECTOR__DISPLAY_NAME,JcaPackage.CONNECTOR,JcaPackage.packageURI)|g
s|\.metaDescription()|.getEFeature(JcaPackage.SECURITY_PERMISSION__DESCRIPTION,JcaPackage.SECURITY_PERMISSION,JcaPackage.packageURI)|g
s|\.metaCredentialInterface()|.getEFeature(JcaPackage.AUTHENTICATION_MECHANISM__CREDENTIAL_INTERFACE,JcaPackage.AUTHENTICATION_MECHANISM,JcaPackage.packageURI)|g
s|\.metaConnectionInterface()|.getEFeature(JcaPackage.RESOURCE_ADAPTER__CONNECTION_INTERFACE,JcaPackage.RESOURCE_ADAPTER,JcaPackage.packageURI)|g
s|\.metaConnectionImplClass()|.getEFeature(JcaPackage.RESOURCE_ADAPTER__CONNECTION_IMPL_CLASS,JcaPackage.RESOURCE_ADAPTER,JcaPackage.packageURI)|g
s|\.metaConnectionFactoryInterface()|.getEFeature(JcaPackage.RESOURCE_ADAPTER__CONNECTION_FACTORY_INTERFACE,JcaPackage.RESOURCE_ADAPTER,JcaPackage.packageURI)|g
s|\.metaConnectionFactoryImplClass()|.getEFeature(JcaPackage.RESOURCE_ADAPTER__CONNECTION_FACTORY_IMPL_CLASS,JcaPackage.RESOURCE_ADAPTER,JcaPackage.packageURI)|g
s|\.metaConfigProperties()|.getEFeature(JcaPackage.RESOURCE_ADAPTER__CONFIG_PROPERTIES,JcaPackage.RESOURCE_ADAPTER,JcaPackage.packageURI)|g
s|\.metaAuthenticationMechanisms()|.getEFeature(JcaPackage.RESOURCE_ADAPTER__AUTHENTICATION_MECHANISMS,JcaPackage.RESOURCE_ADAPTER,JcaPackage.packageURI)|g
s|\.metaAuthenticationMechanismType()|.getEFeature(JcaPackage.AUTHENTICATION_MECHANISM__AUTHENTICATION_MECHANISM_TYPE,JcaPackage.AUTHENTICATION_MECHANISM,JcaPackage.packageURI)|g
/MetaSecurityPermission metaSecurityPermission/!s|metaSecurityPermission()|eClassSecurityPermission()|g
/MetaResourceAdapter metaResourceAdapter/!s|metaResourceAdapter()|eClassResourceAdapter()|g
/MetaLicense metaLicense/!s|metaLicense()|eClassLicense()|g
/MetaConnector metaConnector/!s|metaConnector()|eClassConnector()|g
/MetaConfigProperty metaConfigProperty/!s|metaConfigProperty()|eClassConfigProperty()|g
/MetaAuthenticationMechanism metaAuthenticationMechanism/!s|metaAuthenticationMechanism()|eClassAuthenticationMechanism()|g

