# CONTAINS com.ibm.etools.taglib

#####################################################################
#
# Sed command for replacing references to MOF2 APIs
# invoke using
#    sed -f j2ee.sed <src-file> > <target-file>
#
#####################################################################

# Rules for converting APIs from the TaglibPackage package
s|metaValidator()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,TaglibPackage.VALIDATOR,TaglibPackage.packageURI)|g
s|metaTagLib()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|metaJSPVariable()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,TaglibPackage.JSP_VARIABLE,TaglibPackage.packageURI)|g
s|metaJSPTagAttribute()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,TaglibPackage.JSP_TAG_ATTRIBUTE,TaglibPackage.packageURI)|g
s|metaJSPTag()\.lookupFeature(\([^)]*\))|EcoreHelper.getEFeatureId((EFeature)\1,TaglibPackage.JSP_TAG,TaglibPackage.packageURI)|g
s|TaglibPackage\.ENUM_JSPSCRIPTINGVARIABLESCOPE|TaglibPackage.JSP_SCRIPTING_VARIABLE_SCOPE|g
s|TaglibPackage\.ENUM_BODYCONTENTTYPE|TaglibPackage.BODY_CONTENT_TYPE|g
s|TaglibPackage\.CLASS_VALIDATOR|TaglibPackage.VALIDATOR|g
s|TaglibPackage\.CLASS_TAGLIB|TaglibPackage.TAG_LIB|g
s|TaglibPackage\.CLASS_JSPVARIABLE|TaglibPackage.JSP_VARIABLE|g
s|TaglibPackage\.CLASS_JSPTAGATTRIBUTE|TaglibPackage.JSP_TAG_ATTRIBUTE|g
s|TaglibPackage\.CLASS_JSPTAG|TaglibPackage.JSP_TAG|g
s|TaglibFactory\.ENUM_JSPSCRIPTINGVARIABLESCOPE|TaglibPackage.JSP_SCRIPTING_VARIABLE_SCOPE|g
s|TaglibFactory\.ENUM_BODYCONTENTTYPE|TaglibPackage.BODY_CONTENT_TYPE|g
s|TaglibFactory\.CLASS_VALIDATOR|TaglibPackage.VALIDATOR|g
s|TaglibFactory\.CLASS_TAGLIB|TaglibPackage.TAG_LIB|g
s|TaglibFactory\.CLASS_JSPVARIABLE|TaglibPackage.JSP_VARIABLE|g
s|TaglibFactory\.CLASS_JSPTAGATTRIBUTE|TaglibPackage.JSP_TAG_ATTRIBUTE|g
s|TaglibFactory\.CLASS_JSPTAG|TaglibPackage.JSP_TAG|g
s|\.meta\.MetaValidator\.|.MetaValidator.|g
s|\.meta\.MetaTagLib\.|.MetaTagLib.|g
s|\.meta\.MetaJSPVariable\.|.MetaJSPVariable.|g
s|\.meta\.MetaJSPTagAttribute\.|.MetaJSPTagAttribute.|g
s|\.meta\.MetaJSPTag\.|.MetaJSPTag.|g
s|\.meta\.MetaJSPScriptingVariableScope\.NESTED|.JSPScriptingVariableScope.NESTED|g
s|\.meta\.MetaJSPScriptingVariableScope\.AT_END|.JSPScriptingVariableScope.AT_END|g
s|\.meta\.MetaJSPScriptingVariableScope\.AT_BEGIN|.JSPScriptingVariableScope.AT_BEGIN|g
s|\.meta\.MetaBodyContentType\.TAGDEPENDENT|.BodyContentType.TAGDEPENDENT|g
s|\.meta\.MetaBodyContentType\.JSP|.BodyContentType.JSP|g
s|\.meta\.MetaBodyContentType\.EMPTY|.BodyContentType.EMPTY|g
s|metaValidator()\.metaValidatorClass()|ePackageTaglib().getValidator_ValidatorClass()|g
s|metaValidator()\.metaInitParams()|ePackageTaglib().getValidator_InitParams()|g
s|metaTagLib()\.metaValidator()|ePackageTaglib().getTagLib_Validator()|g
s|metaTagLib()\.metaUri()|ePackageTaglib().getTagLib_Uri()|g
s|metaTagLib()\.metaTags()|ePackageTaglib().getTagLib_Tags()|g
s|metaTagLib()\.metaTagLibVersion()|ePackageTaglib().getTagLib_TagLibVersion()|g
s|metaTagLib()\.metaSmallIcon()|ePackageTaglib().getTagLib_SmallIcon()|g
s|metaTagLib()\.metaShortName()|ePackageTaglib().getTagLib_ShortName()|g
s|metaTagLib()\.metaListeners()|ePackageTaglib().getTagLib_Listeners()|g
s|metaTagLib()\.metaLargeIcon()|ePackageTaglib().getTagLib_LargeIcon()|g
s|metaTagLib()\.metaJspVersion()|ePackageTaglib().getTagLib_JspVersion()|g
s|metaTagLib()\.metaDisplayName()|ePackageTaglib().getTagLib_DisplayName()|g
s|metaTagLib()\.metaDescription()|ePackageTaglib().getTagLib_Description()|g
s|metaJSPVariable()\.metaVariableClass()|ePackageTaglib().getJSPVariable_VariableClass()|g
s|metaJSPVariable()\.metaScope()|ePackageTaglib().getJSPVariable_Scope()|g
s|metaJSPVariable()\.metaNameGiven()|ePackageTaglib().getJSPVariable_NameGiven()|g
s|metaJSPVariable()\.metaNameFromAttribute()|ePackageTaglib().getJSPVariable_NameFromAttribute()|g
s|metaJSPVariable()\.metaDeclare()|ePackageTaglib().getJSPVariable_Declare()|g
s|metaJSPTagAttribute()\.metaType()|ePackageTaglib().getJSPTagAttribute_Type()|g
s|metaJSPTagAttribute()\.metaRtExprValue()|ePackageTaglib().getJSPTagAttribute_RtExprValue()|g
s|metaJSPTagAttribute()\.metaRequired()|ePackageTaglib().getJSPTagAttribute_Required()|g
s|metaJSPTagAttribute()\.metaName()|ePackageTaglib().getJSPTagAttribute_Name()|g
s|metaJSPTag()\.metaVariables()|ePackageTaglib().getJSPTag_Variables()|g
s|metaJSPTag()\.metaTeiClass()|ePackageTaglib().getJSPTag_TeiClass()|g
s|metaJSPTag()\.metaTagClass()|ePackageTaglib().getJSPTag_TagClass()|g
s|metaJSPTag()\.metaExample()|ePackageTaglib().getJSPTag_Example()|g
s|metaJSPTag()\.metaBodyContent()|ePackageTaglib().getJSPTag_BodyContent()|g
s|metaJSPTag()\.metaAttributes()|ePackageTaglib().getJSPTag_Attributes()|g
s|metaJSPScriptingVariableScope()\.metaNESTED()|ePackageTaglib().getJSPScriptingVariableScope_NESTED()|g
s|metaJSPScriptingVariableScope()\.metaAT_END()|ePackageTaglib().getJSPScriptingVariableScope_AT_END()|g
s|metaJSPScriptingVariableScope()\.metaAT_BEGIN()|ePackageTaglib().getJSPScriptingVariableScope_AT_BEGIN()|g
s|metaBodyContentType()\.metaTagdependent()|ePackageTaglib().getBodyContentType_Tagdependent()|g
s|metaBodyContentType()\.metaJSP()|ePackageTaglib().getBodyContentType_JSP()|g
s|metaBodyContentType()\.metaEmpty()|ePackageTaglib().getBodyContentType_Empty()|g
s|com\.ibm\.etools\.taglib\.meta\.MetaJSPScriptingVariableScope |com.ibm.etools.emf.ecore.EEnum |g
s|com\.ibm\.etools\.taglib\.meta\.MetaBodyContentType |com.ibm.etools.emf.ecore.EEnum |g
/MetaJSPScriptingVariableScope metaJSPScriptingVariableScope/!s|metaJSPScriptingVariableScope()|getJSPScriptingVariableScope()|g
/MetaBodyContentType metaBodyContentType/!s|metaBodyContentType()|getBodyContentType()|g
s|com\.ibm\.etools\.taglib\.meta\.MetaValidator|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.taglib\.meta\.MetaTagLib|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.taglib\.meta\.MetaJSPVariable|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.taglib\.meta\.MetaJSPTagAttribute|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.taglib\.meta\.MetaJSPTag|com.ibm.etools.emf.ecore.EClass|g
s|com\.ibm\.etools\.taglib\.meta\.MetaJSPScriptingVariableScope|com.ibm.etools.taglib.JSPScriptingVariableScope|g
s|com\.ibm\.etools\.taglib\.meta\.MetaBodyContentType|com.ibm.etools.taglib.BodyContentType|g
s|MetaValidator\.SF_VALIDATORCLASS|TaglibPackage.VALIDATOR__VALIDATOR_CLASS|g
s|MetaValidator\.SF_INITPARAMS|TaglibPackage.VALIDATOR__INIT_PARAMS|g
s|MetaTagLib\.SF_VALIDATOR|TaglibPackage.TAG_LIB__VALIDATOR|g
s|MetaTagLib\.SF_URI|TaglibPackage.TAG_LIB__URI|g
s|MetaTagLib\.SF_TAGS|TaglibPackage.TAG_LIB__TAGS|g
s|MetaTagLib\.SF_TAGLIBVERSION|TaglibPackage.TAG_LIB__TAG_LIB_VERSION|g
s|MetaTagLib\.SF_SMALLICON|TaglibPackage.TAG_LIB__SMALL_ICON|g
s|MetaTagLib\.SF_SHORTNAME|TaglibPackage.TAG_LIB__SHORT_NAME|g
s|MetaTagLib\.SF_LISTENERS|TaglibPackage.TAG_LIB__LISTENERS|g
s|MetaTagLib\.SF_LARGEICON|TaglibPackage.TAG_LIB__LARGE_ICON|g
s|MetaTagLib\.SF_JSPVERSION|TaglibPackage.TAG_LIB__JSP_VERSION|g
s|MetaTagLib\.SF_DISPLAYNAME|TaglibPackage.TAG_LIB__DISPLAY_NAME|g
s|MetaTagLib\.SF_DESCRIPTION|TaglibPackage.TAG_LIB__DESCRIPTION|g
s|MetaJSPVariable\.SF_VARIABLECLASS|TaglibPackage.JSP_VARIABLE__VARIABLE_CLASS|g
s|MetaJSPVariable\.SF_SCOPE|TaglibPackage.JSP_VARIABLE__SCOPE|g
s|MetaJSPVariable\.SF_NAMEGIVEN|TaglibPackage.JSP_VARIABLE__NAME_GIVEN|g
s|MetaJSPVariable\.SF_NAMEFROMATTRIBUTE|TaglibPackage.JSP_VARIABLE__NAME_FROM_ATTRIBUTE|g
s|MetaJSPVariable\.SF_DECLARE|TaglibPackage.JSP_VARIABLE__DECLARE|g
s|MetaJSPTagAttribute\.SF_TYPE|TaglibPackage.JSP_TAG_ATTRIBUTE__TYPE|g
s|MetaJSPTagAttribute\.SF_RTEXPRVALUE|TaglibPackage.JSP_TAG_ATTRIBUTE__RT_EXPR_VALUE|g
s|MetaJSPTagAttribute\.SF_REQUIRED|TaglibPackage.JSP_TAG_ATTRIBUTE__REQUIRED|g
s|MetaJSPTagAttribute\.SF_NAME|TaglibPackage.JSP_TAG_ATTRIBUTE__NAME|g
s|MetaJSPTag\.SF_VARIABLES|TaglibPackage.JSP_TAG__VARIABLES|g
s|MetaJSPTag\.SF_TEICLASS|TaglibPackage.JSP_TAG__TEI_CLASS|g
s|MetaJSPTag\.SF_TAGCLASS|TaglibPackage.JSP_TAG__TAG_CLASS|g
s|MetaJSPTag\.SF_EXAMPLE|TaglibPackage.JSP_TAG__EXAMPLE|g
s|MetaJSPTag\.SF_BODYCONTENT|TaglibPackage.JSP_TAG__BODY_CONTENT|g
s|MetaJSPTag\.SF_ATTRIBUTES|TaglibPackage.JSP_TAG__ATTRIBUTES|g
s|MetaJSPScriptingVariableScope\.NESTED|JSPScriptingVariableScope.NESTED|g
s|MetaJSPScriptingVariableScope\.AT_END|JSPScriptingVariableScope.AT_END|g
s|MetaJSPScriptingVariableScope\.AT_BEGIN|JSPScriptingVariableScope.AT_BEGIN|g
s|MetaBodyContentType\.TAGDEPENDENT|BodyContentType.TAGDEPENDENT|g
s|MetaBodyContentType\.JSP|BodyContentType.JSP|g
s|MetaBodyContentType\.EMPTY|BodyContentType.EMPTY|g
/MetaValidator metaValidator/!s|MetaValidator\([^a-zA-Z0-9]\)|EClass\1|g
/MetaTagLib metaTagLib/!s|MetaTagLib\([^a-zA-Z0-9]\)|EClass\1|g
/MetaJSPVariable metaJSPVariable/!s|MetaJSPVariable\([^a-zA-Z0-9]\)|EClass\1|g
/MetaJSPTag metaJSPTag/!s|MetaJSPTag\([^a-zA-Z0-9]\)|EClass\1|g
/MetaJSPTagAttribute metaJSPTagAttribute/!s|MetaJSPTagAttribute\([^a-zA-Z0-9]\)|EClass\1|g
/MetaJSPScriptingVariableScope metaJSPScriptingVariableScope/!s|MetaJSPScriptingVariableScope\([^a-zA-Z0-9]\)|EEnum\1|g
/MetaBodyContentType metaBodyContentType/!s|MetaBodyContentType\([^a-zA-Z0-9]\)|EEnum\1|g
s|\.metaVariables()|.getEFeature(TaglibPackage.JSP_TAG__VARIABLES,TaglibPackage.JSP_TAG,TaglibPackage.packageURI)|g
s|\.metaVariableClass()|.getEFeature(TaglibPackage.JSP_VARIABLE__VARIABLE_CLASS,TaglibPackage.JSP_VARIABLE,TaglibPackage.packageURI)|g
s|\.metaValidatorClass()|.getEFeature(TaglibPackage.VALIDATOR__VALIDATOR_CLASS,TaglibPackage.VALIDATOR,TaglibPackage.packageURI)|g
s|\.metaValidator()|.getEFeature(TaglibPackage.TAG_LIB__VALIDATOR,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|\.metaUri()|.getEFeature(TaglibPackage.TAG_LIB__URI,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|\.metaType()|.getEFeature(TaglibPackage.JSP_TAG_ATTRIBUTE__TYPE,TaglibPackage.JSP_TAG_ATTRIBUTE,TaglibPackage.packageURI)|g
s|\.metaTeiClass()|.getEFeature(TaglibPackage.JSP_TAG__TEI_CLASS,TaglibPackage.JSP_TAG,TaglibPackage.packageURI)|g
s|\.metaTags()|.getEFeature(TaglibPackage.TAG_LIB__TAGS,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|\.metaTagLibVersion()|.getEFeature(TaglibPackage.TAG_LIB__TAG_LIB_VERSION,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|\.metaTagClass()|.getEFeature(TaglibPackage.JSP_TAG__TAG_CLASS,TaglibPackage.JSP_TAG,TaglibPackage.packageURI)|g
s|\.metaSmallIcon()|.getEFeature(TaglibPackage.TAG_LIB__SMALL_ICON,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|\.metaShortName()|.getEFeature(TaglibPackage.TAG_LIB__SHORT_NAME,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|\.metaScope()|.getEFeature(TaglibPackage.JSP_VARIABLE__SCOPE,TaglibPackage.JSP_VARIABLE,TaglibPackage.packageURI)|g
s|\.metaRtExprValue()|.getEFeature(TaglibPackage.JSP_TAG_ATTRIBUTE__RT_EXPR_VALUE,TaglibPackage.JSP_TAG_ATTRIBUTE,TaglibPackage.packageURI)|g
s|\.metaRequired()|.getEFeature(TaglibPackage.JSP_TAG_ATTRIBUTE__REQUIRED,TaglibPackage.JSP_TAG_ATTRIBUTE,TaglibPackage.packageURI)|g
s|\.metaNameGiven()|.getEFeature(TaglibPackage.JSP_VARIABLE__NAME_GIVEN,TaglibPackage.JSP_VARIABLE,TaglibPackage.packageURI)|g
s|\.metaNameFromAttribute()|.getEFeature(TaglibPackage.JSP_VARIABLE__NAME_FROM_ATTRIBUTE,TaglibPackage.JSP_VARIABLE,TaglibPackage.packageURI)|g
s|\.metaName()|.getEFeature(TaglibPackage.JSP_TAG_ATTRIBUTE__NAME,TaglibPackage.JSP_TAG_ATTRIBUTE,TaglibPackage.packageURI)|g
s|\.metaListeners()|.getEFeature(TaglibPackage.TAG_LIB__LISTENERS,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|\.metaLargeIcon()|.getEFeature(TaglibPackage.TAG_LIB__LARGE_ICON,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|\.metaJspVersion()|.getEFeature(TaglibPackage.TAG_LIB__JSP_VERSION,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|\.metaInitParams()|.getEFeature(TaglibPackage.VALIDATOR__INIT_PARAMS,TaglibPackage.VALIDATOR,TaglibPackage.packageURI)|g
s|\.metaExample()|.getEFeature(TaglibPackage.JSP_TAG__EXAMPLE,TaglibPackage.JSP_TAG,TaglibPackage.packageURI)|g
s|\.metaDisplayName()|.getEFeature(TaglibPackage.TAG_LIB__DISPLAY_NAME,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|\.metaDescription()|.getEFeature(TaglibPackage.TAG_LIB__DESCRIPTION,TaglibPackage.TAG_LIB,TaglibPackage.packageURI)|g
s|\.metaDeclare()|.getEFeature(TaglibPackage.JSP_VARIABLE__DECLARE,TaglibPackage.JSP_VARIABLE,TaglibPackage.packageURI)|g
s|\.metaBodyContent()|.getEFeature(TaglibPackage.JSP_TAG__BODY_CONTENT,TaglibPackage.JSP_TAG,TaglibPackage.packageURI)|g
s|\.metaAttributes()|.getEFeature(TaglibPackage.JSP_TAG__ATTRIBUTES,TaglibPackage.JSP_TAG,TaglibPackage.packageURI)|g
/MetaValidator metaValidator/!s|metaValidator()|eClassValidator()|g
/MetaTagLib metaTagLib/!s|metaTagLib()|eClassTagLib()|g
/MetaJSPVariable metaJSPVariable/!s|metaJSPVariable()|eClassJSPVariable()|g
/MetaJSPTagAttribute metaJSPTagAttribute/!s|metaJSPTagAttribute()|eClassJSPTagAttribute()|g
/MetaJSPTag metaJSPTag/!s|metaJSPTag()|eClassJSPTag()|g

